package cmd

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:   "dyndns",
	Short: "Go DynDNS Server",
	Long: `A DynDNS Server implementation in Go, requires both an
NFTable Firewall and a properly configured Bind DNS Server.`,
}

func Exec() {
	err := rootCmd.Execute()
	if err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
